classification
Title: Remove os.path.splitunc()
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: python-dev, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2017-01-07 17:17 by serhiy.storchaka, last changed 2017-03-31 16:36 by dstufft. This issue is now closed.

Files
File name Uploaded Description Edit
remove_os_path_splitunc.patch serhiy.storchaka, 2017-01-07 17:17 review
Pull Requests
URL Status Linked Edit
PR 552 closed dstufft, 2017-03-31 16:36
Messages (2)
msg284926 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-01-07 17:17
Proposed patch removes os.path.splitunc(). It is Windows specific and has been deprecated in 3.1. It is superseded by splitdrive() in 3.x and in 2.7 since 2.7.8 (see issue21672).
msg285436 - (view) Author: Roundup Robot (python-dev) Date: 2017-01-13 18:55
New changeset 2be38927ea61 by Serhiy Storchaka in branch 'default':
Issue #29197: Removed deprecated function ntpath.splitunc().
https://hg.python.org/cpython/rev/2be38927ea61
History
Date User Action Args
2017-03-31 16:36:08dstufftsetpull_requests: + pull_request835
2017-01-13 18:57:02serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2017-01-13 18:55:45python-devsetnosy: + python-dev
messages: + msg285436
2017-01-13 18:52:29serhiy.storchakasetassignee: serhiy.storchaka
2017-01-07 17:17:38serhiy.storchakacreate